---
title: CSSStyleValue.parseAll()
slug: Web/API/CSSStyleValue/parseAll
tags:
  - API
  - CSS Typed Object Model API
  - CSSStyleValue
  - Experimental
  - Houdini
  - Method
  - Reference
  - parseAll()
---
<p>{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>parseAll()</code></strong> method of the {{domxref("CSSStyleValue")}} interface sets all occurences of a specific CSS property to the specified value and returns an array of {{domxref('CSSStyleValue')}} objects, each containing one of the supplied values.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">CSSStyleValue.parseAll(<em>property</em>, <em>value</em>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
	<dt>property</dt>
	<dd>A CSS property to set.</dd>
	<dt>cssText</dt>
	<dd>A comma-separated string containing one or more values that apply to the provided property.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An array of <code>CSSStyleValue</code> objects, each containing one of the supplied values.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('CSS Typed OM','#dom-cssstylevalue-parseall','parseAll()')}}</td>
			<td>{{Spec2('CSS Typed OM')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleValue.parseAll")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
	<li>{{domxref("CSSStyleValue.parse()")}}</li>
	<li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
	<li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
